Change log for kxstitch package in Ubuntu

117 of 17 results
Published in eoan-release on 2019-07-18
Deleted in eoan-proposed (Reason: moved to release)
kxstitch (2.2.0-1) unstable; urgency=medium

  * Update VCS entries.
  * Update my name in Uploaders.
  * Remove extra patches/ folder.
  * Refresh upstream signing key.
  * New upstream release.
  * Update my email.
  * Refresh copyright file with correct PO copyrights.
  * Remove patch applied upstream.
  * Move to dh_missing.
  * Remove autopkg tests as this does not have any tests.
  * Bump compat to 12.
  * Add back tests as there is 1 test.
  * Bump standards version to 4.3.0 - no changes needed.
  * Add upstream metadata.
  * Release to unstable.

 -- Scarlett Moore <email address hidden>  Tue, 16 Jul 2019 09:43:31 -0700

Available diffs

Superseded in eoan-release on 2019-07-18
Published in disco-release on 2018-10-30
Published in cosmic-release on 2018-09-19
Deleted in cosmic-proposed (Reason: moved to release)
kxstitch (2.1.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fix for FTBFS with Qt 5.11. (Closes: #906776)

 -- Adrian Bunk <email address hidden>  Mon, 17 Sep 2018 20:47:24 +0300
Superseded in cosmic-release on 2018-09-19
Deleted in cosmic-proposed on 2018-09-20 (Reason: moved to release)
kxstitch (2.1.1-1ubuntu1) cosmic; urgency=medium

  * Fix the build with Qt 5.11.

 -- Simon Quigley <email address hidden>  Tue, 24 Jul 2018 07:22:49 -0500
Superseded in cosmic-release on 2018-08-21
Deleted in cosmic-proposed on 2018-08-23 (Reason: moved to release)
kxstitch (2.1.1-1) unstable; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.qt5 port. (Closes: #875004)
  * Update copyright.
  * Update control, rules, install files for port changes.
  * Added VCS entries, Homepage to control
  * Bumped standards  version to 4.1.3
  * Bumped compat to 11
  * Updated watch file to https, pgpmode, version 4.
  * Add upstream signing key.
  * Add tests for adt.
  * Fix dependency version for ECM.
  * wrap-and-sort.
  * Add build dependencies as required by cmake.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Team upload.
  * Drop imagemagick from build dependencies, it is not needed.
  * Replace libmagick++-dev with libmagick++-6.q16-dev. The first is a
    transitional "dummy" package.

 -- Lisandro Damián Nicanor Pérez Meyer <email address hidden>  Tue, 27 Mar 2018 20:36:07 -0300
Superseded in cosmic-release on 2018-05-05
Published in bionic-release on 2017-10-24
Published in artful-release on 2017-04-20
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed (Reason: moved to release)
kxstitch (1.3.0-1build1) zesty; urgency=medium

  * Rebuild against new imagemagick 6.9.7.0.

 -- Gianfranco Costamagna <email address hidden>  Wed, 18 Jan 2017 13:33:52 +0100
Superseded in zesty-release on 2017-03-29
Deleted in zesty-proposed on 2017-04-07 (Reason: moved to release)
kxstitch (1.3.0-1) unstable; urgency=medium

  * Upstream release.

 -- Jeremy Whiting <email address hidden>  Wed, 20 Jan 2016 18:44:20 -0700
Deleted in natty-release on 2013-03-05 (Reason: LP: #727386)
Obsolete in maverick-release on 2013-03-05
kxstitch (0.8.3.1-1ubuntu3) maverick; urgency=low

  * No changes upload for libmagick2 -> libmagick3 transition
 -- Fabrice Coutadeur <email address hidden>   Mon, 19 Jul 2010 04:19:29 +0000
Superseded in maverick-release on 2010-07-19
Obsolete in lucid-release on 2016-10-26
Obsolete in karmic-release on 2013-03-04
kxstitch (0.8.3.1-1ubuntu2) karmic; urgency=low

  * No-change rebuild against libmagick++2

 -- Steve Langasek <email address hidden>   Sat, 05 Sep 2009 22:02:10 +0000
Superseded in karmic-release on 2009-09-05
kxstitch (0.8.3.1-1ubuntu1) karmic; urgency=low

  * Merge from Debian unstable (LP: #389803), remaining changes:
    - Add --without-arts to ./configure params
    - Add dh_icons
  * Dropped Ubuntu changes:
    - debian/control: Replace build-depends on libmagick++9-dev with
      graphicsmagick-libmagick-dev-compat
      (upstream code now compiles with libmagick++-dev)
    - Add --with-extra-includes=/usr/include/GraphicsMagick to ./configure
      (Debian package adds /usr/include/ImageMagick)
    - debian/patches/gcc_minmax.patch: Fix FTBFS when building with gcc 4.2
      (fixed upstream)
    - Add quilt support, build-depend on quilt
      (added in Debian package)

Available diffs

Superseded in karmic-release on 2009-06-28
Obsolete in jaunty-release on 2013-02-28
kxstitch (0.8-0ubuntu5) jaunty; urgency=low

  * No-change rebuild to fix lpia shared library dependencies.

 -- Matthias Klose <email address hidden>   Sun, 22 Mar 2009 16:48:56 +0100

Available diffs

Superseded in jaunty-release on 2009-03-22
kxstitch (0.8-0ubuntu4) jaunty; urgency=low

  * debian/rules:
    - Add --without-arts to ./configure params. (LP: #320915)
    - Add --with-extra-includes=/usr/include/GraphicsMagick to ./configure
  * debian/control: Replace build-depends on libmagick++9-dev with
    graphicsmagick-libmagick-dev-compat

 -- Andreas Wenning <email address hidden>   Sun, 15 Mar 2009 19:05:11 +0100

Available diffs

Superseded in jaunty-release on 2009-03-15
Obsolete in intrepid-release on 2013-02-20
Obsolete in hardy-release on 2015-04-24
kxstitch (0.8-0ubuntu3) hardy; urgency=low

  * debian/patches/gcc_minmax.patch:
    - Fix FTBFS when building with gcc 4.2.
  * debian/rules:
    - Add quilt support.
    - Use dh_icons instead of dh_iconcache.
  * debian/control:
    - Build-depend on quilt.
    - Update Maintainer field as per spec.

 -- Luca Falavigna <email address hidden>   Fri, 29 Feb 2008 00:10:12 +0100
Superseded in hardy-release on 2008-02-29
Obsolete in gutsy-release on 2011-09-16
kxstitch (0.8-0ubuntu2) gutsy; urgency=low

  * No-change rebuild for libjasper transition.

 -- Steve Kowalik <email address hidden>   Fri, 22 Jun 2007 23:32:16 +1000
Superseded in gutsy-release on 2007-06-22
Obsolete in feisty-release on 2009-08-20
kxstitch (0.8-0ubuntu1) feisty; urgency=low

  * New Upstream Source

 -- Richard A. Johnson <email address hidden>   Fri, 15 Sep 2006 18:51:39 -0500
Superseded in feisty-release on 2006-12-16
Obsolete in edgy-release on 2008-06-19
Obsolete in dapper-release on 2011-09-06
kxstitch (0.7-2ubuntu1) dapper; urgency=low

  * Add dh_iconcache

 -- Sarah Hobbs <email address hidden>   Sat,  6 May 2006 20:37:56 +1000
Superseded in dapper-release on 2006-05-07
Superseded in dapper-release on 2006-02-03
kxstitch (0.7-2build1) dapper; urgency=low


  * Rebuild KDE universe for libstdc++ transition

 -- Jonathan Riddell <email address hidden>  Sat, 17 Dec 2005 16:24:51 +0000
Obsolete in breezy-release on 2008-03-25
kxstitch (0.6-2build1) breezy; urgency=low


  * Rebuild to remove libdps1 dependency

 -- Andrew Mitchell <email address hidden>  Fri, 26 Aug 2005 14:01:54 +1200
117 of 17 results